### Class

# Atspi Application

#### Description [src]

    class Atspi.Application : GObject.Object
    {
      hash: GHashTable*,
      bus_name: char*,
      bus: DBusConnection*,
      root: _AtspiAccessible*,
      cache: AtspiCache,
      toolkit_name: gchar*,
      toolkit_version: gchar*,
      atspi_version: gchar*,
      time_added: timeval
    }

An interface identifying the root object associated with a running application.

An interface identifying an object which is the root of the hierarchy associated with a running application.

#### Ancestors

- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtspiApplicationClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.